# Defining custom allocators (gearman_allocator_t)

## SYNOPSIS

#include <libgearman/gearman.h>

type gearman_allocator_t

type gearman_malloc_fn

type gearman_free_fn

type gearman_realloc_fn

type gearman_calloc_fn

gearman_return_t gearman_client_set_memory_allocators(gearman_client_st*, gearman_malloc_fn *malloc_fn, gearman_free_fn *free_fn, gearman_realloc_fn *realloc_fn, gearman_calloc_fn *calloc_fn, void *context)

gearman_return_t gearman_worker_set_memory_allocators(gearman_worker_st*, gearman_malloc_fn *malloc_fn, gearman_free_fn *free_fn, gearman_realloc_fn *realloc_fn, gearman_calloc_fn *calloc_fn, void *context)

Link to -lgearman

## DESCRIPTION

Install callbacks for custom allocation.

Normally malloc(3) and free(3) are used for allocation and releasing workloads. You can use `gearman_client_set_memory_allocators()` and `gearman_worker_set_memory_allocators()` to set your own custom allocators.

## RETURN VALUE

None

See also

gearmand(8) libgearman(3) gearman_client_st(3)